/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var TreemapNodeStylingEventArgsDescription = /** @class */ (function (_super) {
    __extends(TreemapNodeStylingEventArgsDescription, _super);
    function TreemapNodeStylingEventArgsDescription() {
        var _this = _super.call(this) || this;
        _this.k = 0;
        _this.j = 0;
        _this.p = null;
        _this.q = null;
        _this.s = null;
        _this.r = null;
        _this.i = 0;
        _this.t = null;
        _this.h = 0;
        _this.f = null;
        return _this;
    }
    TreemapNodeStylingEventArgsDescription.prototype.get_type = function () {
        return "TreemapNodeStylingEventArgs";
    };
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "value", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.e("Value");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "sum", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.e("Sum");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "customValueRef", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.e("CustomValueRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "itemRef", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.e("ItemRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "parentItemRef", {
        get: function () {
            return this.s;
        },
        set: function (a) {
            this.s = a;
            this.e("ParentItemRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "label", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.e("Label");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "parentValue", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.e("ParentValue");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "parentLabel", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.e("ParentLabel");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "parentSum", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.e("ParentSum");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TreemapNodeStylingEventArgsDescription.prototype, "style", {
        get: function () {
            return this.f;
        },
        set: function (a) {
            this.f = a;
            this.e("Style");
        },
        enumerable: true,
        configurable: true
    });
    TreemapNodeStylingEventArgsDescription.$t = markType(TreemapNodeStylingEventArgsDescription, 'TreemapNodeStylingEventArgsDescription', Description.$);
    return TreemapNodeStylingEventArgsDescription;
}(Description));
export { TreemapNodeStylingEventArgsDescription };
